Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.domapi
Class XPathExpressionImpl

    java.lang.Object
      |
      +--org.apache.xpath.domapi.XPathExpressionImpl

public class XPathExpressionImpl
extends java.lang.Object
implements XPathExpression

The class provides an implementation of XPathExpression according to the DOM L3 XPath Specification, Working Draft 28, March 2002.

See also the Document Object Model (DOM) Level 3 XPath Specification.

The `XPathExpression` interface represents a parsed and resolved XPath expression.

See Also:
  `XPathExpression`

Method Summary
`java.lang.Object` | `evaluate(Node contextNode, short type, java.lang.Object result)` **Experimental** This method provides an implementation XPathResult.evaluate according to the DOM L3 XPath Specification, Working Draft 28, March 2002.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evaluate

    public java.lang.Object evaluate(Node contextNode,
                                     short type,
                                     java.lang.Object result)
                              throws XPathException,
                                     DOMException

  **Experimental** This method provides an implementation XPathResult.evaluate according to the DOM L3 XPath Specification, Working Draft 28, March 2002.

  See also the Document Object Model (DOM) Level 3 XPath Specification.

  Evaluates this XPath expression and returns a result.

  Specified by:
    evaluate in interface XPathExpression
  Parameters:
    `contextNode` - The `context` is context node for the evaluation of this XPath expression.If the XPathEvaluator was obtained by casting the `Document` then this must be owned by the same document and must be a `Document`, `Element`, `Attribute`, `Text`, `CDATASection`, `Comment`, `ProcessingInstruction`, or `XPathNamespace` node.If the context node is a `Text` or a `CDATASection`, then the context is interpreted as the whole logical text node as seen by XPath, unless the node is empty in which case it may not serve as the XPath context.
    `type` - If a specific `type` is specified, then the result will be coerced to return the specified type relying on XPath conversions and fail if the desired coercion is not possible. This must be one of the type codes of `XPathResult`.
    `result` - The `result` specifies a specific result object which may be reused and returned by this method. If this is specified as `null`or the implementation does not reuse the specified result, a new result object will be constructed and returned.For XPath 1.0 results, this object will be of type `XPathResult`.
  Returns:
    The result of the evaluation of the XPath expression.For XPath 1.0 results, this object will be of type `XPathResult`.
  Throws:
    XPathException - TYPE_ERR: Raised if the result cannot be converted to return the specified type.
    DOMException - WRONG_DOCUMENT_ERR: The Node is from a document that is not supported by the XPathEvaluator that created this `XPathExpression`.
    NOT_SUPPORTED_ERR: The Node is not a type permitted as an XPath context node.
  See Also:
    `org.w3c.dom.xpath.XPathExpression#evaluate(Node, short, XPathResult)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.